%define name	xbase
%define version 2.0.0
%define major 2
%define libname %mklibname %name %major
%define libnamedev %mklibname -d %name 


Summary:	Xbase dBase database file library
Name: 		%{name}
Version:	%{version}
Release: 	%mkrel 10
Source: 	%{name}-%{version}.tar.bz2
# (fc) 2.0.0-8mdv fix build with gcc 4.3 (Fedora)
Patch0:		xbase-2.0.0-gcc43.patch
# (fc) 2.0.0-8mdv fix xbase-config --ld (RH bug #162845) (Fedora)
Patch1:		xbase-2.0.0-fixconfig.patch
License:	LGPL
Group: 		Development/Other
URL:		http://linux.techass.com/projects/xdb/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  libstdc++-devel


%undefine __check_files

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary: Libraries needed for %{name}
Group:   System/Libraries
Provides: lib%{name} = %version-%release

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libnamedev}
Summary: Xbase development package
Group: Development/Other
Requires: %{libname} = %version
Provides: %name-devel = %version-%release
%if %{_lib} != lib 
Provides: lib%name-devel = %version-%release
%endif
Obsoletes: %{name}-devel < 2.0.0-8mdv
Obsoletes: %{libname}-devel < 2.0.0-8mdv

%description -n %{libnamedev}
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -n %{name}-%{version} -q
%patch0 -p1 -b .gcc43
%patch1 -p1 -b .fixconfig


%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig 
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS README TODO AUTHORS COPYING ChangeLog
%{_bindir}/*
%exclude %{_bindir}/xbase-config

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%doc docs html
%{_bindir}/xbase-config
%{_includedir}/xbase
%{_libdir}/*.so
%{_libdir}/*.la


%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-10mdv2009.0
+ Revision: 266076
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-9mdv2009.0
+ Revision: 212540
- Fix devel provides on x86-64

* Mon May 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2.0.0-8mdv2009.0
+ Revision: 211398
- migrate devel package to new policy
- Patch0 (Fedora): fix build with gcc 4.3
- Patch1 (Fedora): fix xbase-config --ld
- install xbase-config in devel package
- disable static library

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-7mdv2008.1
+ Revision: 179556
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Adam Williamson <awilliamson@mandriva.com> 2.0.0-6mdv2008.0
+ Revision: 26391
- clean spec, rebuild for new era
- Import xbase



* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.0-5mdk
- fix build on x86_64

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-4mdk
- rebuild
- spec cleaning

* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
